package de.ivu.elect.business.wahl.entity;

public enum WahlParameterStimmuebergabeEinstellung {

  DEAKTIVIERT {
    @Override
    public boolean isAktiv() {
      return false;
    }
  },
  ZIELSYSTEM {
    @Override
    public boolean isZielSystem() {
      return true;
    }
  },
  QUELLSYSTEM {
    @Override
    public boolean isQuellSystem() {
      return true;
    }
  };

  public boolean isStimmeingabenExportAktiviert() {
    return isQuellSystem();
  }

  public boolean isQuellSystem() {
    return false;
  }

  public boolean isZielSystem() {
    return false;
  }

  public boolean isAktiv() {
    return true;
  }
}
